<?php namespace SleepingOwl\AdminAuth;

use Illuminate\Support\ServiceProvider;

class AdminAuthServiceProvider extends ServiceProvider {

	/**
	 * Indicates if loading of the provider is deferred.
	 *
	 * @var bool
	 */
	protected $defer = true;

	/**
	 * Register the service provider.
	 *
	 * @return void
	 */
	public function register()
	{
		$this->app->bindShared('admin.auth', function($app)
		{
			return new AdminAuthManager($app);
		});
	}

	/**
	 * Get the services provided by the provider.
	 *
	 * @return array
	 */
	public function provides()
	{
		return array('admin.auth');
	}

}
